Package: org.codehaus.groovy.transform

## [Java] Class MapConstructorASTTransformation

- org.codehaus.groovy.transform.MapConstructorASTTransformation

- All Implemented Interfaces and Traits:
    CompilationUnitAware

      @GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
      public class MapConstructorASTTransformation
      extends AbstractASTTransformation
      implements CompilationUnitAware

  Handles generation of code for the

  MapConstructor:
    annotation.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractASTTransformation` | `RETENTION_CLASSNODE`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `getAnnotationName()`
    `` | `public void` | `setCompilationUnit(CompilationUnit unit)`
    `` | `public Expression` | `transform(Expression exp)`
    `` | `public void` | `visit(ASTNode[] nodes, SourceUnit source)`
    `` | `public void` | `visitVariableExpression(VariableExpression expression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractASTTransformation` | `addError, checkPropertyList, checkPropertyList, checkPropertyList, deemedInternalName, getAnnotationName, getMemberClassList, getMemberClassValue, getMemberClassValue, getMemberIntValue, getMemberStringList, getMemberStringValue, getMemberStringValue, getMemberValue, hasAnnotation, memberHasValue, shouldSkip, shouldSkip, shouldSkipOnDescriptorUndefinedAware, shouldSkipUndefinedAware, shouldSkipUndefinedAware, tokenize`

- - ### Method Detail

    - #### @Override
      public String getAnnotationName()

    - #### @Override
      public void setCompilationUnit(CompilationUnit unit)

    - #### @Override
      public Expression transform(Expression exp)

    - #### @Override
      public void visit(ASTNode[] nodes, SourceUnit source)

    - #### @Override
      public void visitVariableExpression(VariableExpression expression)